# swaggy_jenkins

SwaggyJenkinsClient - the Ruby gem for the Swaggy Jenkins

Jenkins API clients generated from Swagger / Open API specification

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.1.0
- Package version: 0.0.1
- Build package: io.swagger.codegen.languages.RubyClientCodegen
For more information, please visit [http://github.com/cliffano/swaggy-jenkins](http://github.com/cliffano/swaggy-jenkins)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build swaggy_jenkins.gemspec
```

Then either install the gem locally:

```shell
gem install ./swaggy_jenkins-0.0.1.gem
```
(for development, run `gem install --dev ./swaggy_jenkins-0.0.1.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'swaggy_jenkins', '~> 0.0.1'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'swaggy_jenkins', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'swaggy_jenkins'

# Setup authorization
SwaggyJenkinsClient.configure do |config|
  # Configure HTTP basic authorization: jenkins_auth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggyJenkinsClient::BlueOceanApi.new

organization = "organization_example" # String | Name of the organization

pipeline = "pipeline_example" # String | Name of the pipeline

queue = "queue_example" # String | Name of the queue item


begin
  api_instance.delete_pipeline_queue_item(organization, pipeline, queue)
rescue SwaggyJenkinsClient::ApiError => e
  puts "Exception when calling BlueOceanApi->delete_pipeline_queue_item: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SwaggyJenkinsClient::BlueOceanApi* | [**delete_pipeline_queue_item**](docs/BlueOceanApi.md#delete_pipeline_queue_item) | **DELETE** /blue/rest/organizations/{organization}/pipelines/{pipeline}/queue/{queue} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_authenticated_user**](docs/BlueOceanApi.md#get_authenticated_user) | **GET** /blue/rest/organizations/{organization}/user/ | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_classes**](docs/BlueOceanApi.md#get_classes) | **GET** /blue/rest/classes/{class} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_organisation**](docs/BlueOceanApi.md#get_organisation) | **GET** /blue/rest/organizations/{organization} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_organisations**](docs/BlueOceanApi.md#get_organisations) | **GET** /blue/rest/organizations/ | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline**](docs/BlueOceanApi.md#get_pipeline) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_activities**](docs/BlueOceanApi.md#get_pipeline_activities) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/activities | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_branch**](docs/BlueOceanApi.md#get_pipeline_branch) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/branches/{branch}/ | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_branch_run**](docs/BlueOceanApi.md#get_pipeline_branch_run) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/branches/{branch}/runs/{run} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_branches**](docs/BlueOceanApi.md#get_pipeline_branches) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/branches | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_folder**](docs/BlueOceanApi.md#get_pipeline_folder) | **GET** /blue/rest/organizations/{organization}/pipelines/{folder}/ | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_folder_pipeline**](docs/BlueOceanApi.md#get_pipeline_folder_pipeline) | **GET** /blue/rest/organizations/{organization}/pipelines/{folder}/pipelines/{pipeline} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_queue**](docs/BlueOceanApi.md#get_pipeline_queue) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/queue | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_run**](docs/BlueOceanApi.md#get_pipeline_run) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs/{run} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_run_log**](docs/BlueOceanApi.md#get_pipeline_run_log) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs/{run}/log | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_run_node**](docs/BlueOceanApi.md#get_pipeline_run_node) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs/{run}/nodes/{node} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_run_node_step**](docs/BlueOceanApi.md#get_pipeline_run_node_step) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs/{run}/nodes/{node}/steps/{step} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_run_node_step_log**](docs/BlueOceanApi.md#get_pipeline_run_node_step_log) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs/{run}/nodes/{node}/steps/{step}/log | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_run_node_steps**](docs/BlueOceanApi.md#get_pipeline_run_node_steps) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs/{run}/nodes/{node}/steps | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_run_nodes**](docs/BlueOceanApi.md#get_pipeline_run_nodes) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs/{run}/nodes | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipeline_runs**](docs/BlueOceanApi.md#get_pipeline_runs) | **GET** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_pipelines**](docs/BlueOceanApi.md#get_pipelines) | **GET** /blue/rest/organizations/{organization}/pipelines/ | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_scm**](docs/BlueOceanApi.md#get_scm) | **GET** /blue/rest/organizations/{organization}/scm/{scm} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_scm_organisation_repositories**](docs/BlueOceanApi.md#get_scm_organisation_repositories) | **GET** /blue/rest/organizations/{organization}/scm/{scm}/organizations/{scmOrganisation}/repositories | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_scm_organisation_repository**](docs/BlueOceanApi.md#get_scm_organisation_repository) | **GET** /blue/rest/organizations/{organization}/scm/{scm}/organizations/{scmOrganisation}/repositories/{repository} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_scm_organisations**](docs/BlueOceanApi.md#get_scm_organisations) | **GET** /blue/rest/organizations/{organization}/scm/{scm}/organizations | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_user**](docs/BlueOceanApi.md#get_user) | **GET** /blue/rest/organizations/{organization}/users/{user} | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_user_favorites**](docs/BlueOceanApi.md#get_user_favorites) | **GET** /blue/rest/users/{user}/favorites | 
*SwaggyJenkinsClient::BlueOceanApi* | [**get_users**](docs/BlueOceanApi.md#get_users) | **GET** /blue/rest/organizations/{organization}/users/ | 
*SwaggyJenkinsClient::BlueOceanApi* | [**post_pipeline_run**](docs/BlueOceanApi.md#post_pipeline_run) | **POST** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs/{run}/replay | 
*SwaggyJenkinsClient::BlueOceanApi* | [**post_pipeline_runs**](docs/BlueOceanApi.md#post_pipeline_runs) | **POST** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs | 
*SwaggyJenkinsClient::BlueOceanApi* | [**put_pipeline_favorite**](docs/BlueOceanApi.md#put_pipeline_favorite) | **PUT** /blue/rest/organizations/{organization}/pipelines/{pipeline}/favorite | 
*SwaggyJenkinsClient::BlueOceanApi* | [**put_pipeline_run**](docs/BlueOceanApi.md#put_pipeline_run) | **PUT** /blue/rest/organizations/{organization}/pipelines/{pipeline}/runs/{run}/stop | 
*SwaggyJenkinsClient::BlueOceanApi* | [**search**](docs/BlueOceanApi.md#search) | **GET** /blue/rest/search/ | 
*SwaggyJenkinsClient::BlueOceanApi* | [**search_classes**](docs/BlueOceanApi.md#search_classes) | **GET** /blue/rest/classes/ | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_computer**](docs/RemoteAccessApi.md#get_computer) | **GET** /computer/api/json | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_crumb**](docs/RemoteAccessApi.md#get_crumb) | **GET** /crumbIssuer/api/json | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_jenkins**](docs/RemoteAccessApi.md#get_jenkins) | **GET** /api/json | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_job**](docs/RemoteAccessApi.md#get_job) | **GET** /job/{name}/api/json | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_job_config**](docs/RemoteAccessApi.md#get_job_config) | **GET** /job/{name}/config.xml | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_job_last_build**](docs/RemoteAccessApi.md#get_job_last_build) | **GET** /job/{name}/lastBuild/api/json | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_job_progressive_text**](docs/RemoteAccessApi.md#get_job_progressive_text) | **GET** /job/{name}/{number}/logText/progressiveText | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_queue**](docs/RemoteAccessApi.md#get_queue) | **GET** /queue/api/json | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_queue_item**](docs/RemoteAccessApi.md#get_queue_item) | **GET** /queue/item/{number}/api/json | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_view**](docs/RemoteAccessApi.md#get_view) | **GET** /view/{name}/api/json | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**get_view_config**](docs/RemoteAccessApi.md#get_view_config) | **GET** /view/{name}/config.xml | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**head_jenkins**](docs/RemoteAccessApi.md#head_jenkins) | **HEAD** /api/json | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**post_create_item**](docs/RemoteAccessApi.md#post_create_item) | **POST** /createItem | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**post_create_view**](docs/RemoteAccessApi.md#post_create_view) | **POST** /createView | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**post_job_build**](docs/RemoteAccessApi.md#post_job_build) | **POST** /job/{name}/build | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**post_job_config**](docs/RemoteAccessApi.md#post_job_config) | **POST** /job/{name}/config.xml | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**post_job_delete**](docs/RemoteAccessApi.md#post_job_delete) | **POST** /job/{name}/doDelete | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**post_job_disable**](docs/RemoteAccessApi.md#post_job_disable) | **POST** /job/{name}/disable | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**post_job_enable**](docs/RemoteAccessApi.md#post_job_enable) | **POST** /job/{name}/enable | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**post_job_last_build_stop**](docs/RemoteAccessApi.md#post_job_last_build_stop) | **POST** /job/{name}/lastBuild/stop | 
*SwaggyJenkinsClient::RemoteAccessApi* | [**post_view_config**](docs/RemoteAccessApi.md#post_view_config) | **POST** /view/{name}/config.xml | 


## Documentation for Models

 - [SwaggyJenkinsClient::AllView](docs/AllView.md)
 - [SwaggyJenkinsClient::Body](docs/Body.md)
 - [SwaggyJenkinsClient::BranchImpl](docs/BranchImpl.md)
 - [SwaggyJenkinsClient::BranchImpllinks](docs/BranchImpllinks.md)
 - [SwaggyJenkinsClient::BranchImplpermissions](docs/BranchImplpermissions.md)
 - [SwaggyJenkinsClient::CauseAction](docs/CauseAction.md)
 - [SwaggyJenkinsClient::CauseUserIdCause](docs/CauseUserIdCause.md)
 - [SwaggyJenkinsClient::ClassesByClass](docs/ClassesByClass.md)
 - [SwaggyJenkinsClient::ClockDifference](docs/ClockDifference.md)
 - [SwaggyJenkinsClient::ComputerSet](docs/ComputerSet.md)
 - [SwaggyJenkinsClient::DefaultCrumbIssuer](docs/DefaultCrumbIssuer.md)
 - [SwaggyJenkinsClient::DiskSpaceMonitorDescriptorDiskSpace](docs/DiskSpaceMonitorDescriptorDiskSpace.md)
 - [SwaggyJenkinsClient::EmptyChangeLogSet](docs/EmptyChangeLogSet.md)
 - [SwaggyJenkinsClient::ExtensionClassContainerImpl1](docs/ExtensionClassContainerImpl1.md)
 - [SwaggyJenkinsClient::ExtensionClassContainerImpl1links](docs/ExtensionClassContainerImpl1links.md)
 - [SwaggyJenkinsClient::ExtensionClassContainerImpl1map](docs/ExtensionClassContainerImpl1map.md)
 - [SwaggyJenkinsClient::ExtensionClassImpl](docs/ExtensionClassImpl.md)
 - [SwaggyJenkinsClient::ExtensionClassImpllinks](docs/ExtensionClassImpllinks.md)
 - [SwaggyJenkinsClient::FavoriteImpl](docs/FavoriteImpl.md)
 - [SwaggyJenkinsClient::FavoriteImpllinks](docs/FavoriteImpllinks.md)
 - [SwaggyJenkinsClient::FreeStyleBuild](docs/FreeStyleBuild.md)
 - [SwaggyJenkinsClient::FreeStyleProject](docs/FreeStyleProject.md)
 - [SwaggyJenkinsClient::FreeStyleProjectactions](docs/FreeStyleProjectactions.md)
 - [SwaggyJenkinsClient::FreeStyleProjecthealthReport](docs/FreeStyleProjecthealthReport.md)
 - [SwaggyJenkinsClient::GenericResource](docs/GenericResource.md)
 - [SwaggyJenkinsClient::GithubContent](docs/GithubContent.md)
 - [SwaggyJenkinsClient::GithubFile](docs/GithubFile.md)
 - [SwaggyJenkinsClient::GithubOrganization](docs/GithubOrganization.md)
 - [SwaggyJenkinsClient::GithubOrganizationlinks](docs/GithubOrganizationlinks.md)
 - [SwaggyJenkinsClient::GithubRepositories](docs/GithubRepositories.md)
 - [SwaggyJenkinsClient::GithubRepositorieslinks](docs/GithubRepositorieslinks.md)
 - [SwaggyJenkinsClient::GithubRepository](docs/GithubRepository.md)
 - [SwaggyJenkinsClient::GithubRepositorylinks](docs/GithubRepositorylinks.md)
 - [SwaggyJenkinsClient::GithubRepositorypermissions](docs/GithubRepositorypermissions.md)
 - [SwaggyJenkinsClient::GithubRespositoryContainer](docs/GithubRespositoryContainer.md)
 - [SwaggyJenkinsClient::GithubRespositoryContainerlinks](docs/GithubRespositoryContainerlinks.md)
 - [SwaggyJenkinsClient::GithubScm](docs/GithubScm.md)
 - [SwaggyJenkinsClient::GithubScmlinks](docs/GithubScmlinks.md)
 - [SwaggyJenkinsClient::Hudson](docs/Hudson.md)
 - [SwaggyJenkinsClient::HudsonMasterComputer](docs/HudsonMasterComputer.md)
 - [SwaggyJenkinsClient::HudsonMasterComputerexecutors](docs/HudsonMasterComputerexecutors.md)
 - [SwaggyJenkinsClient::HudsonMasterComputermonitorData](docs/HudsonMasterComputermonitorData.md)
 - [SwaggyJenkinsClient::HudsonassignedLabels](docs/HudsonassignedLabels.md)
 - [SwaggyJenkinsClient::InputStepImpl](docs/InputStepImpl.md)
 - [SwaggyJenkinsClient::InputStepImpllinks](docs/InputStepImpllinks.md)
 - [SwaggyJenkinsClient::Label1](docs/Label1.md)
 - [SwaggyJenkinsClient::Link](docs/Link.md)
 - [SwaggyJenkinsClient::ListView](docs/ListView.md)
 - [SwaggyJenkinsClient::MultibranchPipeline](docs/MultibranchPipeline.md)
 - [SwaggyJenkinsClient::NullSCM](docs/NullSCM.md)
 - [SwaggyJenkinsClient::Organisation](docs/Organisation.md)
 - [SwaggyJenkinsClient::Organisations](docs/Organisations.md)
 - [SwaggyJenkinsClient::Pipeline](docs/Pipeline.md)
 - [SwaggyJenkinsClient::PipelineActivities](docs/PipelineActivities.md)
 - [SwaggyJenkinsClient::PipelineActivity](docs/PipelineActivity.md)
 - [SwaggyJenkinsClient::PipelineActivityartifacts](docs/PipelineActivityartifacts.md)
 - [SwaggyJenkinsClient::PipelineBranches](docs/PipelineBranches.md)
 - [SwaggyJenkinsClient::PipelineBranchesitem](docs/PipelineBranchesitem.md)
 - [SwaggyJenkinsClient::PipelineBranchesitemlatestRun](docs/PipelineBranchesitemlatestRun.md)
 - [SwaggyJenkinsClient::PipelineBranchesitempullRequest](docs/PipelineBranchesitempullRequest.md)
 - [SwaggyJenkinsClient::PipelineBranchesitempullRequestlinks](docs/PipelineBranchesitempullRequestlinks.md)
 - [SwaggyJenkinsClient::PipelineFolderImpl](docs/PipelineFolderImpl.md)
 - [SwaggyJenkinsClient::PipelineImpl](docs/PipelineImpl.md)
 - [SwaggyJenkinsClient::PipelineImpllinks](docs/PipelineImpllinks.md)
 - [SwaggyJenkinsClient::PipelineQueue](docs/PipelineQueue.md)
 - [SwaggyJenkinsClient::PipelineRun](docs/PipelineRun.md)
 - [SwaggyJenkinsClient::PipelineRunImpl](docs/PipelineRunImpl.md)
 - [SwaggyJenkinsClient::PipelineRunImpllinks](docs/PipelineRunImpllinks.md)
 - [SwaggyJenkinsClient::PipelineRunNode](docs/PipelineRunNode.md)
 - [SwaggyJenkinsClient::PipelineRunNodeSteps](docs/PipelineRunNodeSteps.md)
 - [SwaggyJenkinsClient::PipelineRunNodeedges](docs/PipelineRunNodeedges.md)
 - [SwaggyJenkinsClient::PipelineRunNodes](docs/PipelineRunNodes.md)
 - [SwaggyJenkinsClient::PipelineRunSteps](docs/PipelineRunSteps.md)
 - [SwaggyJenkinsClient::PipelineRunartifacts](docs/PipelineRunartifacts.md)
 - [SwaggyJenkinsClient::PipelineRuns](docs/PipelineRuns.md)
 - [SwaggyJenkinsClient::PipelineStepImpl](docs/PipelineStepImpl.md)
 - [SwaggyJenkinsClient::PipelineStepImpllinks](docs/PipelineStepImpllinks.md)
 - [SwaggyJenkinsClient::PipelinelatestRun](docs/PipelinelatestRun.md)
 - [SwaggyJenkinsClient::PipelinelatestRunartifacts](docs/PipelinelatestRunartifacts.md)
 - [SwaggyJenkinsClient::Pipelines](docs/Pipelines.md)
 - [SwaggyJenkinsClient::Queue](docs/Queue.md)
 - [SwaggyJenkinsClient::QueueBlockedItem](docs/QueueBlockedItem.md)
 - [SwaggyJenkinsClient::QueueItemImpl](docs/QueueItemImpl.md)
 - [SwaggyJenkinsClient::QueueLeftItem](docs/QueueLeftItem.md)
 - [SwaggyJenkinsClient::ResponseTimeMonitorData](docs/ResponseTimeMonitorData.md)
 - [SwaggyJenkinsClient::ScmOrganisations](docs/ScmOrganisations.md)
 - [SwaggyJenkinsClient::StringParameterDefinition](docs/StringParameterDefinition.md)
 - [SwaggyJenkinsClient::StringParameterValue](docs/StringParameterValue.md)
 - [SwaggyJenkinsClient::SwapSpaceMonitorMemoryUsage2](docs/SwapSpaceMonitorMemoryUsage2.md)
 - [SwaggyJenkinsClient::UnlabeledLoadStatistics](docs/UnlabeledLoadStatistics.md)
 - [SwaggyJenkinsClient::User](docs/User.md)
 - [SwaggyJenkinsClient::UserFavorites](docs/UserFavorites.md)
 - [SwaggyJenkinsClient::Users](docs/Users.md)


## Documentation for Authorization


### jenkins_auth

- **Type**: HTTP basic authentication

